<?php

/**
 * Related Post Options
 *
 * @package aster_ebooks
 */

$wp_customize->add_section(
	'aster_ebooks_related_post_options',
	array(
		'title' => esc_html__( 'Related Post Options', 'aster-ebooks' ),
		'panel' => 'aster_ebooks_theme_options',
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'aster_ebooks_related_post_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Aster_Ebooks_Separator_Custom_Control( $wp_customize, 'aster_ebooks_related_post_separator', array(
	'label' => __( 'Enable / Disable Related Post Section', 'aster-ebooks' ),
	'section' => 'aster_ebooks_related_post_options',
	'settings' => 'aster_ebooks_related_post_separator',
) ) );


// Post Options - Show / Hide Related Posts.
$wp_customize->add_setting(
	'aster_ebooks_post_hide_related_posts',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_ebooks_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Ebooks_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_ebooks_post_hide_related_posts',
		array(
			'label'   => esc_html__( 'Show / Hide Related Posts', 'aster-ebooks' ),
			'section' => 'aster_ebooks_related_post_options',
		)
	)
);

// Register setting for number of related posts
$wp_customize->add_setting(
    'aster_ebooks_related_posts_count',
    array(
        'default'           => 3,
        'sanitize_callback' => 'absint', // Ensure it's an integer
    )
);

// Add control for number of related posts
$wp_customize->add_control(
    'aster_ebooks_related_posts_count',
    array(
        'type'        => 'number',
        'label'       => esc_html__( 'Number of Related Posts to Display', 'aster-ebooks' ),
        'section'     => 'aster_ebooks_related_post_options',
        'input_attrs' => array(
            'min'  => 1,
            'max'  => 5, // Adjust maximum based on your preference
            'step' => 1,
        ),
    )
);



// Post Options - Related Post Label.
$wp_customize->add_setting(
	'aster_ebooks_post_related_post_label',
	array(
		'default'           => 'Related Posts',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'aster_ebooks_post_related_post_label',
	array(
		'label'    => esc_html__( 'Related Posts Label', 'aster-ebooks' ),
		'section'  => 'aster_ebooks_related_post_options',
		'settings' => 'aster_ebooks_post_related_post_label',
		'type'     => 'text',
	)
);